#ifndef UI_STATE_H
#define UI_STATE_H

typedef enum { IDLE, RUN, PAUSE, CHANGE_PROG, EDIT, NEWP, DELP, SURE, MENU2, SET1, BANG, PID } UI_State_Type ;
UI_State_Type UIstate, last_UIstate;

const char StrIdle[]   PROGMEM = "IDLE";
const char StrRun[]    PROGMEM = "Run";
const char StrPause[]  PROGMEM = "Paused";
const char StrChange[] PROGMEM = "Change Program";
const char StrEdit[]   PROGMEM = "Edit Program";
const char StrNewP[]   PROGMEM = "New Program";
const char StrDelP[]   PROGMEM = "Del Program";
const char StrSure[]   PROGMEM = "Sure";
const char StrMenu2[]  PROGMEM = "Menu 2";
const char StrSet1[]   PROGMEM = "Settings";
const char StrBang[]   PROGMEM = "Edit BangBang";
const char StrPID[]    PROGMEM = "Edit PID";

const char * const sstate_names[] PROGMEM = {
    StrIdle,
    StrRun,
    StrPause,
    StrChange,
    StrEdit,
    StrNewP,
    StrDelP,
    StrSure,
    StrMenu2,
    StrSet1,
    StrBang,
    StrPID
};

#endif
